@mixin login-bg($login-background-type) {
  @if $login-background-type == "image" {
    background-image: $login-bg-picture;
    background-repeat: $login-bg-repeat;
    background-size: cover;
  }
  @if $login-background-type == "gradient" {
    @include gradient-orientation(
      $orientation: $login-background-orientation,
      $start-color: $login-bg-color-1,
      $end-color: $login-bg-color-2,
      $start-percent: $login-bg-start-percent,
      $end-percent: $login-bg-end-percent
    );
  }
}
@mixin login-overlay($login-overlay-type) {
  @if $login-overlay-type == "gradient" {
    @include gradient-orientation(
      $orientation: $login-bg-picture-overlay-orientation,
      $start-color: $login-bg-picture-overlay-color-1,
      $end-color: $login-bg-picture-overlay-color-2,
      $start-percent: $header-nav-bg-start-percent,
      $end-percent: $header-nav-bg-end-percent
    );
  }
}

.login {
  flex: 1;
  overflow: hidden;
  @include login-bg($login-background-type);
  .login-overflow {
    @extend %flexbox;
    @include align-items(center);
    @include justify-content(center);
    width: 100%;
    height: 100%;
    @include login-overlay($login-overlay-type);
  }
}
